#ifndef _BOOKSHELF_H
#define _BOOKSHELF_H

class Book;
class Iterator;
#include "Aggregate.h"

class BookShelf : public Aggregate
{
public:
    BookShelf(int maxSize);
    ~BookShelf();
    Book *getBookAt(int index);
    void appendBook(Book *book);
    int getLength();
    virtual Iterator *iterator();
private:
    Book **m_books;
    int    m_last;
    int    m_maxSize;
};

#endif