#include "Object.h"
#include "BookShelfIterator.h"
#include "BookShelf.h"

BookShelfIterator::BookShelfIterator(BookShelf *bookShelf)
    : m_bookShelf(bookShelf),
      m_index(0)
{
}

bool BookShelfIterator::hasNext()
{
    if (m_index < m_bookShelf->getLength())
        return true;
    else
        return false;
}

Object *BookShelfIterator::next()
{
    return (Object *)m_bookShelf->getBookAt(m_index++);
}