// cl main.cpp Book.cpp BookShelf.cpp BookShelfIterator.cpp

#include "Book.h"
#include "BookShelf.h"
#include "BookShelfIterator.h"

int main()
{
    Book *book;
    
    BookShelf *bookShelf = new BookShelf(4);
    bookShelf->appendBook(new Book("A Light in the Attic"));
    bookShelf->appendBook(new Book("Tom Sawyer"));
    bookShelf->appendBook(new Book("Snow White and the Seven Dwarfs"));
    bookShelf->appendBook(new Book("Jack and the Beanstalk"));
    
    BookShelfIterator *iter = (BookShelfIterator *)bookShelf->iterator();
    while (iter->hasNext())
    {
        book = (Book *)iter->next();
        book->printName();
    }
    return 0;
}